Summary:       The Itsy Package Management System
Name:          ipkg
Version:       0.99.163
Release:       3%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Base
Source0:       http://www.handhelds.org/download/packages/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.99.163-paths.patch
Patch1:        %{name}-0.99.163-quiet.patch
Patch2:        %{name}-0.99.163-config.patch
URL:           http://handhelds.org/moin/moin.cgi/Ipkg
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Pierluigi Frullani <pigi@frumar.it>
Requires:      wget

%description
iPKG is a very lightweight package management system. It was designed
for Linux installations with severe storage limitations such as handheld
computers. iPKG is more than just an embedded Linux flash image builder.
It also allows for dynamic installation/removal of packages on a running
system.


%package       devel
Summary:       Development tools for iPKG
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using iPKG.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Fix build
%{__rm} -f %{name}.h


%build
%configure \
	--enable-shared \
	--enable-static \
	--with-ipkglibdir=%{_localstatedir}/lib

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0644 %{name}.conf ${RPM_BUILD_ROOT}%{_sysconfdir}

%{__ln_s} -f ipkg-cl ${RPM_BUILD_ROOT}%{_bindir}/%{name}

%{__rm} -f ${RPM_BUILD_ROOT}%{_bindir}/update-alternatives
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config(noreplace) %{_sysconfdir}/*.conf
%{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_bindir}/ipkg-cl
%{_libdir}/libipkg.so.*
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}

%files devel
%defattr(-,root,root)
%{_includedir}/libipkg
%{_libdir}/libipkg.*a
%{_libdir}/libipkg.so


%changelog
* Fri Oct 24 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.99.163-3
- Rewritten for buildsystem

* Mon Aug 13 2007 peter.pramberger@member.fsf.org 0.99.163-2
- created
